<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: LPTMR: Low-Power Timer</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__lptmr.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">LPTMR: Low-Power Timer</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a driver for the Low-Power Timer (LPTMR) of MCUXpresso SDK devices.</p>
<h1><a class="anchor" id="LPTMRFunc"></a>
Function groups</h1>
<p>The LPTMR driver supports operating the module as a time counter or as a pulse counter.</p>
<h2><a class="anchor" id="LPTMRInit"></a>
Initialization and deinitialization</h2>
<p>The function <a class="el" href="group__lptmr.html#ga1f2e64506623dc66e329e136931b4e25" title="Ungates the LPTMR clock and configures the peripheral for a basic operation. ">LPTMR_Init()</a> initializes the LPTMR with specified configurations. The function <a class="el" href="group__lptmr.html#ga11a8100adcd8f9f0cf167b2d84a51d11" title="Fills in the LPTMR configuration structure with default settings. ">LPTMR_GetDefaultConfig()</a> gets the default configurations. The initialization function configures the LPTMR for a timer or a pulse counter mode mode. It also sets up the LPTMR's free running mode operation and a clock source.</p>
<p>The function LPTMR_DeInit() disables the LPTMR module and gates the module clock.</p>
<h2><a class="anchor" id="LPTMRTimerPeriodOperation"></a>
Timer period Operations</h2>
<p>The function <a class="el" href="group__lptmr.html#ga1d90351f69bd636280a0c1264283ee96" title="Sets the timer period in units of count. ">LPTMR_SetTimerPeriod()</a> sets the timer period in units of count. Timers counts from 0 to the count value set here.</p>
<p>The function <a class="el" href="group__lptmr.html#gafcdd2752a16047f03f208c984b1b4895" title="Reads the current timer counting value. ">LPTMR_GetCurrentTimerCount()</a> reads the current timer counting value. This function returns the real-time timer counting value ranging from 0 to a timer period.</p>
<p>The timer period operation function takes the count value in ticks. Call the utility macros provided in the fsl_common.h file to convert to microseconds or milliseconds.</p>
<h2><a class="anchor" id="LPTMRStartStopOperation"></a>
Start and Stop timer operations</h2>
<p>The function <a class="el" href="group__lptmr.html#ga319d3af284881f7e805bfb3d20bc9da8" title="Starts the timer. ">LPTMR_StartTimer()</a> starts the timer counting. After calling this function, the timer counts up to the counter value set earlier by using the LPTMR_SetPeriod() function. Each time the timer reaches the count value and increments, it generates a trigger pulse and sets the timeout interrupt flag. An interrupt is also triggered if the timer interrupt is enabled.</p>
<p>The function <a class="el" href="group__lptmr.html#ga465015ff7402acf300e4c45f6576291a" title="Stops the timer. ">LPTMR_StopTimer()</a> stops the timer counting and resets the timer's counter register.</p>
<h2><a class="anchor" id="LPTMRStatus"></a>
Status</h2>
<p>Provides functions to get and clear the LPTMR status.</p>
<h2><a class="anchor" id="LPTMRInterrupt"></a>
Interrupt</h2>
<p>Provides functions to enable/disable LPTMR interrupts and get the currently enabled interrupts.</p>
<h1><a class="anchor" id="LPTMRUseCase"></a>
Typical use case</h1>
<h2><a class="anchor" id="LPTMRTick"></a>
LPTMR tick example</h2>
<p>Updates the LPTMR period and toggles an LED periodically. </p>
<div class="fragment"><div class="line"><span class="keywordtype">int</span> main(<span class="keywordtype">void</span>)</div>
<div class="line">{</div>
<div class="line">    uint32_t currentCounter = 0U;</div>
<div class="line">    <a class="code" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a> lptmrConfig;</div>
<div class="line"></div>
<div class="line">    LED_INIT();</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Board pin, clock, debug console initialization */</span></div>
<div class="line">    BOARD_InitHardware();</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Configures the LPTMR */</span></div>
<div class="line">    <a class="code" href="group__lptmr.html#ga11a8100adcd8f9f0cf167b2d84a51d11">LPTMR_GetDefaultConfig</a>(&amp;lptmrConfig);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Initializes the LPTMR */</span></div>
<div class="line">    <a class="code" href="group__lptmr.html#ga1f2e64506623dc66e329e136931b4e25">LPTMR_Init</a>(LPTMR0, &amp;lptmrConfig);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Sets the timer period */</span></div>
<div class="line">    <a class="code" href="group__lptmr.html#ga1d90351f69bd636280a0c1264283ee96">LPTMR_SetTimerPeriod</a>(LPTMR0, USEC_TO_COUNT(1000000U, LPTMR_SOURCE_CLOCK));</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enables a timer interrupt */</span></div>
<div class="line">    <a class="code" href="group__lptmr.html#ga0967528f9ff2e2b84c9413b0d3d9a5a3">LPTMR_EnableInterrupts</a>(LPTMR0, <a class="code" href="group__lptmr.html#ggaffd4c6376b6ed80ccb40310e662def5ca6788e58f3d338bb386463f092e5d94f3">kLPTMR_TimerInterruptEnable</a>);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enables the NVIC */</span></div>
<div class="line">    EnableIRQ(LPTMR0_IRQn);</div>
<div class="line"></div>
<div class="line">    PRINTF(<span class="stringliteral">&quot;Low Power Timer Example\r\n&quot;</span>);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Starts counting */</span></div>
<div class="line">    <a class="code" href="group__lptmr.html#ga319d3af284881f7e805bfb3d20bc9da8">LPTMR_StartTimer</a>(LPTMR0);</div>
<div class="line">    <span class="keywordflow">while</span> (1)</div>
<div class="line">    {</div>
<div class="line">        <span class="keywordflow">if</span> (currentCounter != lptmrCounter)</div>
<div class="line">        {</div>
<div class="line">            currentCounter = lptmrCounter;</div>
<div class="line">            PRINTF(<span class="stringliteral">&quot;LPTMR interrupt No.%d \r\n&quot;</span>, currentCounter);</div>
<div class="line">        }</div>
<div class="line">    }</div>
<div class="line">}</div>
</div><!-- fragment --> <table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structlptmr__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a></td></tr>
<tr class="memdesc:structlptmr__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR config structure.  <a href="group__lptmr.html#structlptmr__config__t">More...</a><br/></td></tr>
<tr class="separator:structlptmr__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga1b4f601de32f325231ad2255173fc43e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga1b4f601de32f325231ad2255173fc43e">lptmr_pin_select_t</a> { <br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga1b4f601de32f325231ad2255173fc43eaa5591ed16b209e49a55d782b0152d27b">kLPTMR_PinSelectInput_0</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga1b4f601de32f325231ad2255173fc43eaf380fdd8c93021e9b0cc2520b9942faf">kLPTMR_PinSelectInput_1</a> = 0x1U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga1b4f601de32f325231ad2255173fc43ea804a4b70aa7e0a2996cb054e1feddf4e">kLPTMR_PinSelectInput_2</a> = 0x2U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga1b4f601de32f325231ad2255173fc43ea35b44045498f8af998d6ca99563009be">kLPTMR_PinSelectInput_3</a> = 0x3U
<br/>
 }</td></tr>
<tr class="memdesc:ga1b4f601de32f325231ad2255173fc43e"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR pin selection used in pulse counter mode.  <a href="group__lptmr.html#ga1b4f601de32f325231ad2255173fc43e">More...</a><br/></td></tr>
<tr class="separator:ga1b4f601de32f325231ad2255173fc43e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c409d187814ddd38e85c005364089a4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga6c409d187814ddd38e85c005364089a4">lptmr_pin_polarity_t</a> { <br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga6c409d187814ddd38e85c005364089a4a2f387787b10172f719dbc304573fc0c6">kLPTMR_PinPolarityActiveHigh</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga6c409d187814ddd38e85c005364089a4aa083f88b878d9781b91cdf5a7cbc5fe1">kLPTMR_PinPolarityActiveLow</a> = 0x1U
<br/>
 }</td></tr>
<tr class="memdesc:ga6c409d187814ddd38e85c005364089a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR pin polarity used in pulse counter mode.  <a href="group__lptmr.html#ga6c409d187814ddd38e85c005364089a4">More...</a><br/></td></tr>
<tr class="separator:ga6c409d187814ddd38e85c005364089a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8375373d564aa3570d9ef5a9e75c28dc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga8375373d564aa3570d9ef5a9e75c28dc">lptmr_timer_mode_t</a> { <br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga8375373d564aa3570d9ef5a9e75c28dca308f1e902c37f04845e88dbdcf090d1d">kLPTMR_TimerModeTimeCounter</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga8375373d564aa3570d9ef5a9e75c28dca3e671df6c6027b048c5878d45031415d">kLPTMR_TimerModePulseCounter</a> = 0x1U
<br/>
 }</td></tr>
<tr class="memdesc:ga8375373d564aa3570d9ef5a9e75c28dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR timer mode selection.  <a href="group__lptmr.html#ga8375373d564aa3570d9ef5a9e75c28dc">More...</a><br/></td></tr>
<tr class="separator:ga8375373d564aa3570d9ef5a9e75c28dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07af9ef0f8b142b3b9e5344f3bc962cc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga07af9ef0f8b142b3b9e5344f3bc962cc">lptmr_prescaler_glitch_value_t</a> { <br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca112121efd220fe2bf6d6c371ee2e7de9">kLPTMR_Prescale_Glitch_0</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca89602ece7c01cee81cdf02386926d3bb">kLPTMR_Prescale_Glitch_1</a> = 0x1U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccad52a7b1bc3feb4aef749238f4888bf60">kLPTMR_Prescale_Glitch_2</a> = 0x2U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccaa6c44c168e0d6f6d138c3d0a6055c1ea">kLPTMR_Prescale_Glitch_3</a> = 0x3U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca3673e511ea9bfc1b69db3ec35c2ea4ea">kLPTMR_Prescale_Glitch_4</a> = 0x4U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca18463b98220efab5003aee9ed0c4c8e3">kLPTMR_Prescale_Glitch_5</a> = 0x5U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca76d3ecf9e0694dfa18aa463ddef44043">kLPTMR_Prescale_Glitch_6</a> = 0x6U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca002055b58f8cd211b9f45160f2b35347">kLPTMR_Prescale_Glitch_7</a> = 0x7U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccaef05cfa9678ac5a33740c7a0e3481707">kLPTMR_Prescale_Glitch_8</a> = 0x8U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccad76b4636eed4be5a6e42bd95ccf35272">kLPTMR_Prescale_Glitch_9</a> = 0x9U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca888b287eaa57577f9f68e33f5cfed22a">kLPTMR_Prescale_Glitch_10</a> = 0xAU, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccadd34f2e32e760276641b68ed9b2e8c29">kLPTMR_Prescale_Glitch_11</a> = 0xBU, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca859b48e0bcbddfa8550c38121faedccc">kLPTMR_Prescale_Glitch_12</a> = 0xCU, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccad89da696529cb28e8a68c68533564249">kLPTMR_Prescale_Glitch_13</a> = 0xDU, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962ccafcf75b60e904cb458bcd28cd4f9ec92a">kLPTMR_Prescale_Glitch_14</a> = 0xEU, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca38731d6f04ade303c0f002ac558c319a">kLPTMR_Prescale_Glitch_15</a> = 0xFU
<br/>
 }</td></tr>
<tr class="memdesc:ga07af9ef0f8b142b3b9e5344f3bc962cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR prescaler/glitch filter values.  <a href="group__lptmr.html#ga07af9ef0f8b142b3b9e5344f3bc962cc">More...</a><br/></td></tr>
<tr class="separator:ga07af9ef0f8b142b3b9e5344f3bc962cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac33fbd5ae21f409a88a288f8728378d3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gac33fbd5ae21f409a88a288f8728378d3">lptmr_prescaler_clock_select_t</a> { <br/>
&#160;&#160;<a class="el" href="group__lptmr.html#ggac33fbd5ae21f409a88a288f8728378d3a6799e08f040c9277a2e30de3b96b69c5">kLPTMR_PrescalerClock_0</a> = 0x0U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#ggac33fbd5ae21f409a88a288f8728378d3a36de7a40ece786199804426d58e73c4e">kLPTMR_PrescalerClock_1</a> = 0x1U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#ggac33fbd5ae21f409a88a288f8728378d3a2590ba1f8ad0bd638bcec43712213935">kLPTMR_PrescalerClock_2</a> = 0x2U, 
<br/>
&#160;&#160;<a class="el" href="group__lptmr.html#ggac33fbd5ae21f409a88a288f8728378d3a5aeb8e70968f58667bb2769847585106">kLPTMR_PrescalerClock_3</a> = 0x3U
<br/>
 }</td></tr>
<tr class="memdesc:gac33fbd5ae21f409a88a288f8728378d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR prescaler/glitch filter clock select.  <a href="group__lptmr.html#gac33fbd5ae21f409a88a288f8728378d3">More...</a><br/></td></tr>
<tr class="separator:gac33fbd5ae21f409a88a288f8728378d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffd4c6376b6ed80ccb40310e662def5c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c">lptmr_interrupt_enable_t</a> { <a class="el" href="group__lptmr.html#ggaffd4c6376b6ed80ccb40310e662def5ca6788e58f3d338bb386463f092e5d94f3">kLPTMR_TimerInterruptEnable</a> = LPTMR_CSR_TIE_MASK
 }</td></tr>
<tr class="memdesc:gaffd4c6376b6ed80ccb40310e662def5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of the LPTMR interrupts.  <a href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c">More...</a><br/></td></tr>
<tr class="separator:gaffd4c6376b6ed80ccb40310e662def5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6803c6684df6241b9f946577f15bec75"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga6803c6684df6241b9f946577f15bec75">lptmr_status_flags_t</a> { <a class="el" href="group__lptmr.html#gga6803c6684df6241b9f946577f15bec75ab51c1e072bf8436d8b7546a3777dbadd">kLPTMR_TimerCompareFlag</a> = LPTMR_CSR_TCF_MASK
 }</td></tr>
<tr class="memdesc:ga6803c6684df6241b9f946577f15bec75"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of the LPTMR status flags.  <a href="group__lptmr.html#ga6803c6684df6241b9f946577f15bec75">More...</a><br/></td></tr>
<tr class="separator:ga6803c6684df6241b9f946577f15bec75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:ga2418e533da0b331dbcc7b04ebf90b54e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2418e533da0b331dbcc7b04ebf90b54e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga2418e533da0b331dbcc7b04ebf90b54e">FSL_LPTMR_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 1))</td></tr>
<tr class="memdesc:ga2418e533da0b331dbcc7b04ebf90b54e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version 2.0.1. <br/></td></tr>
<tr class="separator:ga2418e533da0b331dbcc7b04ebf90b54e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Initialization and deinitialization</h2></td></tr>
<tr class="memitem:ga1f2e64506623dc66e329e136931b4e25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga1f2e64506623dc66e329e136931b4e25">LPTMR_Init</a> (LPTMR_Type *base, const <a class="el" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a> *config)</td></tr>
<tr class="memdesc:ga1f2e64506623dc66e329e136931b4e25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ungates the LPTMR clock and configures the peripheral for a basic operation.  <a href="#ga1f2e64506623dc66e329e136931b4e25">More...</a><br/></td></tr>
<tr class="separator:ga1f2e64506623dc66e329e136931b4e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2436bf246a0aab4a0191d059b80ff088"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga2436bf246a0aab4a0191d059b80ff088">LPTMR_Deinit</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:ga2436bf246a0aab4a0191d059b80ff088"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gates the LPTMR clock.  <a href="#ga2436bf246a0aab4a0191d059b80ff088">More...</a><br/></td></tr>
<tr class="separator:ga2436bf246a0aab4a0191d059b80ff088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11a8100adcd8f9f0cf167b2d84a51d11"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga11a8100adcd8f9f0cf167b2d84a51d11">LPTMR_GetDefaultConfig</a> (<a class="el" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a> *config)</td></tr>
<tr class="memdesc:ga11a8100adcd8f9f0cf167b2d84a51d11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fills in the LPTMR configuration structure with default settings.  <a href="#ga11a8100adcd8f9f0cf167b2d84a51d11">More...</a><br/></td></tr>
<tr class="separator:ga11a8100adcd8f9f0cf167b2d84a51d11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Interrupt Interface</h2></td></tr>
<tr class="memitem:ga0967528f9ff2e2b84c9413b0d3d9a5a3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga0967528f9ff2e2b84c9413b0d3d9a5a3">LPTMR_EnableInterrupts</a> (LPTMR_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:ga0967528f9ff2e2b84c9413b0d3d9a5a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the selected LPTMR interrupts.  <a href="#ga0967528f9ff2e2b84c9413b0d3d9a5a3">More...</a><br/></td></tr>
<tr class="separator:ga0967528f9ff2e2b84c9413b0d3d9a5a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac6f6b7505d425e7ca518df3ffd1c936a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gac6f6b7505d425e7ca518df3ffd1c936a">LPTMR_DisableInterrupts</a> (LPTMR_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gac6f6b7505d425e7ca518df3ffd1c936a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the selected LPTMR interrupts.  <a href="#gac6f6b7505d425e7ca518df3ffd1c936a">More...</a><br/></td></tr>
<tr class="separator:gac6f6b7505d425e7ca518df3ffd1c936a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc7c7a46a9f861a458fda007be07036d"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gadc7c7a46a9f861a458fda007be07036d">LPTMR_GetEnabledInterrupts</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:gadc7c7a46a9f861a458fda007be07036d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the enabled LPTMR interrupts.  <a href="#gadc7c7a46a9f861a458fda007be07036d">More...</a><br/></td></tr>
<tr class="separator:gadc7c7a46a9f861a458fda007be07036d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Status Interface</h2></td></tr>
<tr class="memitem:ga141fe48d5a32b8b9eac1b61c4c07fb1c"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga141fe48d5a32b8b9eac1b61c4c07fb1c">LPTMR_GetStatusFlags</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:ga141fe48d5a32b8b9eac1b61c4c07fb1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the LPTMR status flags.  <a href="#ga141fe48d5a32b8b9eac1b61c4c07fb1c">More...</a><br/></td></tr>
<tr class="separator:ga141fe48d5a32b8b9eac1b61c4c07fb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf3434f094b468a7c2b885703aebcce6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gacf3434f094b468a7c2b885703aebcce6">LPTMR_ClearStatusFlags</a> (LPTMR_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gacf3434f094b468a7c2b885703aebcce6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the LPTMR status flags.  <a href="#gacf3434f094b468a7c2b885703aebcce6">More...</a><br/></td></tr>
<tr class="separator:gacf3434f094b468a7c2b885703aebcce6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Read and write the timer period</h2></td></tr>
<tr class="memitem:ga1d90351f69bd636280a0c1264283ee96"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga1d90351f69bd636280a0c1264283ee96">LPTMR_SetTimerPeriod</a> (LPTMR_Type *base, uint32_t ticks)</td></tr>
<tr class="memdesc:ga1d90351f69bd636280a0c1264283ee96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the timer period in units of count.  <a href="#ga1d90351f69bd636280a0c1264283ee96">More...</a><br/></td></tr>
<tr class="separator:ga1d90351f69bd636280a0c1264283ee96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcdd2752a16047f03f208c984b1b4895"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#gafcdd2752a16047f03f208c984b1b4895">LPTMR_GetCurrentTimerCount</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:gafcdd2752a16047f03f208c984b1b4895"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the current timer counting value.  <a href="#gafcdd2752a16047f03f208c984b1b4895">More...</a><br/></td></tr>
<tr class="separator:gafcdd2752a16047f03f208c984b1b4895"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Timer Start and Stop</h2></td></tr>
<tr class="memitem:ga319d3af284881f7e805bfb3d20bc9da8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga319d3af284881f7e805bfb3d20bc9da8">LPTMR_StartTimer</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:ga319d3af284881f7e805bfb3d20bc9da8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts the timer.  <a href="#ga319d3af284881f7e805bfb3d20bc9da8">More...</a><br/></td></tr>
<tr class="separator:ga319d3af284881f7e805bfb3d20bc9da8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga465015ff7402acf300e4c45f6576291a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ga465015ff7402acf300e4c45f6576291a">LPTMR_StopTimer</a> (LPTMR_Type *base)</td></tr>
<tr class="memdesc:ga465015ff7402acf300e4c45f6576291a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops the timer.  <a href="#ga465015ff7402acf300e4c45f6576291a">More...</a><br/></td></tr>
<tr class="separator:ga465015ff7402acf300e4c45f6576291a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structlptmr__config__t" id="structlptmr__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct lptmr_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>This structure holds the configuration settings for the LPTMR peripheral. To initialize this structure to reasonable defaults, call the <a class="el" href="group__lptmr.html#ga11a8100adcd8f9f0cf167b2d84a51d11" title="Fills in the LPTMR configuration structure with default settings. ">LPTMR_GetDefaultConfig()</a> function and pass a pointer to your configuration structure instance.</p>
<p>The configuration struct can be made constant so it resides in flash. </p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:ae10df9843af6a69d53830c97af9e9abb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae10df9843af6a69d53830c97af9e9abb"></a>
<a class="el" href="group__lptmr.html#ga8375373d564aa3570d9ef5a9e75c28dc">lptmr_timer_mode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ae10df9843af6a69d53830c97af9e9abb">timerMode</a></td></tr>
<tr class="memdesc:ae10df9843af6a69d53830c97af9e9abb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time counter mode or pulse counter mode. <br/></td></tr>
<tr class="separator:ae10df9843af6a69d53830c97af9e9abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90bd0e225cefb56ad31b9c11776e5f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa90bd0e225cefb56ad31b9c11776e5f3"></a>
<a class="el" href="group__lptmr.html#ga1b4f601de32f325231ad2255173fc43e">lptmr_pin_select_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#aa90bd0e225cefb56ad31b9c11776e5f3">pinSelect</a></td></tr>
<tr class="memdesc:aa90bd0e225cefb56ad31b9c11776e5f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR pulse input pin select; used only in pulse counter mode. <br/></td></tr>
<tr class="separator:aa90bd0e225cefb56ad31b9c11776e5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45bb2872fa671f6eecc3d863f8567b36"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45bb2872fa671f6eecc3d863f8567b36"></a>
<a class="el" href="group__lptmr.html#ga6c409d187814ddd38e85c005364089a4">lptmr_pin_polarity_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#a45bb2872fa671f6eecc3d863f8567b36">pinPolarity</a></td></tr>
<tr class="memdesc:a45bb2872fa671f6eecc3d863f8567b36"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR pulse input pin polarity; used only in pulse counter mode. <br/></td></tr>
<tr class="separator:a45bb2872fa671f6eecc3d863f8567b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ed8324dade03b5bf78c2680fb01dd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12ed8324dade03b5bf78c2680fb01dd0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#a12ed8324dade03b5bf78c2680fb01dd0">enableFreeRunning</a></td></tr>
<tr class="memdesc:a12ed8324dade03b5bf78c2680fb01dd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">True: enable free running, counter is reset on overflow False: counter is reset when the compare flag is set. <br/></td></tr>
<tr class="separator:a12ed8324dade03b5bf78c2680fb01dd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cbadd6a666cbd746c5add25fdf8e0ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cbadd6a666cbd746c5add25fdf8e0ea"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#a3cbadd6a666cbd746c5add25fdf8e0ea">bypassPrescaler</a></td></tr>
<tr class="memdesc:a3cbadd6a666cbd746c5add25fdf8e0ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">True: bypass prescaler; false: use clock from prescaler. <br/></td></tr>
<tr class="separator:a3cbadd6a666cbd746c5add25fdf8e0ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad368f6d920909dd945deed545bb48ad5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad368f6d920909dd945deed545bb48ad5"></a>
<a class="el" href="group__lptmr.html#gac33fbd5ae21f409a88a288f8728378d3">lptmr_prescaler_clock_select_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#ad368f6d920909dd945deed545bb48ad5">prescalerClockSource</a></td></tr>
<tr class="memdesc:ad368f6d920909dd945deed545bb48ad5"><td class="mdescLeft">&#160;</td><td class="mdescRight">LPTMR clock source. <br/></td></tr>
<tr class="separator:ad368f6d920909dd945deed545bb48ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1901c7ceff05610d3e454ebef8f0fd0b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1901c7ceff05610d3e454ebef8f0fd0b"></a>
<a class="el" href="group__lptmr.html#ga07af9ef0f8b142b3b9e5344f3bc962cc">lptmr_prescaler_glitch_value_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__lptmr.html#a1901c7ceff05610d3e454ebef8f0fd0b">value</a></td></tr>
<tr class="memdesc:a1901c7ceff05610d3e454ebef8f0fd0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler or glitch filter value. <br/></td></tr>
<tr class="separator:a1901c7ceff05610d3e454ebef8f0fd0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga1b4f601de32f325231ad2255173fc43e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#ga1b4f601de32f325231ad2255173fc43e">lptmr_pin_select_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga1b4f601de32f325231ad2255173fc43eaa5591ed16b209e49a55d782b0152d27b"></a>kLPTMR_PinSelectInput_0</em>&nbsp;</td><td class="fielddoc">
<p>Pulse counter input 0 is selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga1b4f601de32f325231ad2255173fc43eaf380fdd8c93021e9b0cc2520b9942faf"></a>kLPTMR_PinSelectInput_1</em>&nbsp;</td><td class="fielddoc">
<p>Pulse counter input 1 is selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga1b4f601de32f325231ad2255173fc43ea804a4b70aa7e0a2996cb054e1feddf4e"></a>kLPTMR_PinSelectInput_2</em>&nbsp;</td><td class="fielddoc">
<p>Pulse counter input 2 is selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga1b4f601de32f325231ad2255173fc43ea35b44045498f8af998d6ca99563009be"></a>kLPTMR_PinSelectInput_3</em>&nbsp;</td><td class="fielddoc">
<p>Pulse counter input 3 is selected. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga6c409d187814ddd38e85c005364089a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#ga6c409d187814ddd38e85c005364089a4">lptmr_pin_polarity_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga6c409d187814ddd38e85c005364089a4a2f387787b10172f719dbc304573fc0c6"></a>kLPTMR_PinPolarityActiveHigh</em>&nbsp;</td><td class="fielddoc">
<p>Pulse Counter input source is active-high. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga6c409d187814ddd38e85c005364089a4aa083f88b878d9781b91cdf5a7cbc5fe1"></a>kLPTMR_PinPolarityActiveLow</em>&nbsp;</td><td class="fielddoc">
<p>Pulse Counter input source is active-low. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga8375373d564aa3570d9ef5a9e75c28dc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#ga8375373d564aa3570d9ef5a9e75c28dc">lptmr_timer_mode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga8375373d564aa3570d9ef5a9e75c28dca308f1e902c37f04845e88dbdcf090d1d"></a>kLPTMR_TimerModeTimeCounter</em>&nbsp;</td><td class="fielddoc">
<p>Time Counter mode. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga8375373d564aa3570d9ef5a9e75c28dca3e671df6c6027b048c5878d45031415d"></a>kLPTMR_TimerModePulseCounter</em>&nbsp;</td><td class="fielddoc">
<p>Pulse Counter mode. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga07af9ef0f8b142b3b9e5344f3bc962cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#ga07af9ef0f8b142b3b9e5344f3bc962cc">lptmr_prescaler_glitch_value_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca112121efd220fe2bf6d6c371ee2e7de9"></a>kLPTMR_Prescale_Glitch_0</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 2, glitch filter does not support this setting. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca89602ece7c01cee81cdf02386926d3bb"></a>kLPTMR_Prescale_Glitch_1</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 4, glitch filter 2. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccad52a7b1bc3feb4aef749238f4888bf60"></a>kLPTMR_Prescale_Glitch_2</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 8, glitch filter 4. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccaa6c44c168e0d6f6d138c3d0a6055c1ea"></a>kLPTMR_Prescale_Glitch_3</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 16, glitch filter 8. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca3673e511ea9bfc1b69db3ec35c2ea4ea"></a>kLPTMR_Prescale_Glitch_4</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 32, glitch filter 16. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca18463b98220efab5003aee9ed0c4c8e3"></a>kLPTMR_Prescale_Glitch_5</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 64, glitch filter 32. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca76d3ecf9e0694dfa18aa463ddef44043"></a>kLPTMR_Prescale_Glitch_6</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 128, glitch filter 64. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca002055b58f8cd211b9f45160f2b35347"></a>kLPTMR_Prescale_Glitch_7</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 256, glitch filter 128. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccaef05cfa9678ac5a33740c7a0e3481707"></a>kLPTMR_Prescale_Glitch_8</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 512, glitch filter 256. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccad76b4636eed4be5a6e42bd95ccf35272"></a>kLPTMR_Prescale_Glitch_9</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 1024, glitch filter 512. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca888b287eaa57577f9f68e33f5cfed22a"></a>kLPTMR_Prescale_Glitch_10</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 2048 glitch filter 1024. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccadd34f2e32e760276641b68ed9b2e8c29"></a>kLPTMR_Prescale_Glitch_11</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 4096, glitch filter 2048. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca859b48e0bcbddfa8550c38121faedccc"></a>kLPTMR_Prescale_Glitch_12</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 8192, glitch filter 4096. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccad89da696529cb28e8a68c68533564249"></a>kLPTMR_Prescale_Glitch_13</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 16384, glitch filter 8192. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962ccafcf75b60e904cb458bcd28cd4f9ec92a"></a>kLPTMR_Prescale_Glitch_14</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 32768, glitch filter 16384. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga07af9ef0f8b142b3b9e5344f3bc962cca38731d6f04ade303c0f002ac558c319a"></a>kLPTMR_Prescale_Glitch_15</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler divide 65536, glitch filter 32768. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gac33fbd5ae21f409a88a288f8728378d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#gac33fbd5ae21f409a88a288f8728378d3">lptmr_prescaler_clock_select_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>Clock connections are SoC-specific </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggac33fbd5ae21f409a88a288f8728378d3a6799e08f040c9277a2e30de3b96b69c5"></a>kLPTMR_PrescalerClock_0</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler/glitch filter clock 0 selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggac33fbd5ae21f409a88a288f8728378d3a36de7a40ece786199804426d58e73c4e"></a>kLPTMR_PrescalerClock_1</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler/glitch filter clock 1 selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggac33fbd5ae21f409a88a288f8728378d3a2590ba1f8ad0bd638bcec43712213935"></a>kLPTMR_PrescalerClock_2</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler/glitch filter clock 2 selected. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggac33fbd5ae21f409a88a288f8728378d3a5aeb8e70968f58667bb2769847585106"></a>kLPTMR_PrescalerClock_3</em>&nbsp;</td><td class="fielddoc">
<p>Prescaler/glitch filter clock 3 selected. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaffd4c6376b6ed80ccb40310e662def5c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c">lptmr_interrupt_enable_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaffd4c6376b6ed80ccb40310e662def5ca6788e58f3d338bb386463f092e5d94f3"></a>kLPTMR_TimerInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Timer interrupt enable. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga6803c6684df6241b9f946577f15bec75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__lptmr.html#ga6803c6684df6241b9f946577f15bec75">lptmr_status_flags_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga6803c6684df6241b9f946577f15bec75ab51c1e072bf8436d8b7546a3777dbadd"></a>kLPTMR_TimerCompareFlag</em>&nbsp;</td><td class="fielddoc">
<p>Timer compare flag. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga1f2e64506623dc66e329e136931b4e25"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LPTMR_Init </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>This API should be called at the beginning of the application using the LPTMR driver.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
    <tr><td class="paramname">config</td><td>A pointer to the LPTMR configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2436bf246a0aab4a0191d059b80ff088"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LPTMR_Deinit </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga11a8100adcd8f9f0cf167b2d84a51d11"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LPTMR_GetDefaultConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__lptmr.html#structlptmr__config__t">lptmr_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The default values are as follows. </p>
<div class="fragment"><div class="line">*    config-&gt;timerMode = <a class="code" href="group__lptmr.html#gga8375373d564aa3570d9ef5a9e75c28dca308f1e902c37f04845e88dbdcf090d1d">kLPTMR_TimerModeTimeCounter</a>;</div>
<div class="line">*    config-&gt;pinSelect = <a class="code" href="group__lptmr.html#gga1b4f601de32f325231ad2255173fc43eaa5591ed16b209e49a55d782b0152d27b">kLPTMR_PinSelectInput_0</a>;</div>
<div class="line">*    config-&gt;pinPolarity = <a class="code" href="group__lptmr.html#gga6c409d187814ddd38e85c005364089a4a2f387787b10172f719dbc304573fc0c6">kLPTMR_PinPolarityActiveHigh</a>;</div>
<div class="line">*    config-&gt;enableFreeRunning = <span class="keyword">false</span>;</div>
<div class="line">*    config-&gt;bypassPrescaler = <span class="keyword">true</span>;</div>
<div class="line">*    config-&gt;prescalerClockSource = <a class="code" href="group__lptmr.html#ggac33fbd5ae21f409a88a288f8728378d3a36de7a40ece786199804426d58e73c4e">kLPTMR_PrescalerClock_1</a>;</div>
<div class="line">*    config-&gt;value = <a class="code" href="group__lptmr.html#gga07af9ef0f8b142b3b9e5344f3bc962cca112121efd220fe2bf6d6c371ee2e7de9">kLPTMR_Prescale_Glitch_0</a>;</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>A pointer to the LPTMR configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0967528f9ff2e2b84c9413b0d3d9a5a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_EnableInterrupts </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to enable. This is a logical OR of members of the enumeration <a class="el" href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c" title="List of the LPTMR interrupts. ">lptmr_interrupt_enable_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac6f6b7505d425e7ca518df3ffd1c936a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_DisableInterrupts </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to disable. This is a logical OR of members of the enumeration <a class="el" href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c" title="List of the LPTMR interrupts. ">lptmr_interrupt_enable_t</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gadc7c7a46a9f861a458fda007be07036d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t LPTMR_GetEnabledInterrupts </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The enabled interrupts. This is the logical OR of members of the enumeration <a class="el" href="group__lptmr.html#gaffd4c6376b6ed80ccb40310e662def5c" title="List of the LPTMR interrupts. ">lptmr_interrupt_enable_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga141fe48d5a32b8b9eac1b61c4c07fb1c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t LPTMR_GetStatusFlags </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status flags. This is the logical OR of members of the enumeration <a class="el" href="group__lptmr.html#ga6803c6684df6241b9f946577f15bec75" title="List of the LPTMR status flags. ">lptmr_status_flags_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gacf3434f094b468a7c2b885703aebcce6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_ClearStatusFlags </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The status flags to clear. This is a logical OR of members of the enumeration <a class="el" href="group__lptmr.html#ga6803c6684df6241b9f946577f15bec75" title="List of the LPTMR status flags. ">lptmr_status_flags_t</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1d90351f69bd636280a0c1264283ee96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_SetTimerPeriod </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>ticks</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Timers counts from 0 until it equals the count value set here. The count value is written to the CMR register.</p>
<dl class="section note"><dt>Note</dt><dd><ol type="1">
<li>The TCF flag is set with the CNR equals the count provided here and then increments.</li>
<li>Call the utility macros provided in the fsl_common.h to convert to ticks.</li>
</ol>
</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
    <tr><td class="paramname">ticks</td><td>A timer period in units of ticks, which should be equal or greater than 1. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafcdd2752a16047f03f208c984b1b4895"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t LPTMR_GetCurrentTimerCount </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function returns the real-time timer counting value in a range from 0 to a timer period.</p>
<dl class="section note"><dt>Note</dt><dd>Call the utility macros provided in the fsl_common.h to convert ticks to usec or msec.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The current counter value in ticks </dd></dl>

</div>
</div>
<a class="anchor" id="ga319d3af284881f7e805bfb3d20bc9da8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_StartTimer </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>After calling this function, the timer counts up to the CMR register value. Each time the timer reaches the CMR value and then increments, it generates a trigger pulse and sets the timeout interrupt flag. An interrupt is also triggered if the timer interrupt is enabled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga465015ff7402acf300e4c45f6576291a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LPTMR_StopTimer </td>
          <td>(</td>
          <td class="paramtype">LPTMR_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function stops the timer and resets the timer's counter register.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>LPTMR peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
